Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036609
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2017-08-04 13:372017-09-21 16:49
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q4
StatusclosedFix in branchFixed in SCM revision3815628bbb6f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036609: 2* flush in FIC when only 1 is required

DescriptionFIC code does intentionally a flush+commit just before running callouts.

However it manually calls flush first + then the OBDal.getInstance().getConnection() function (with boolean param) which does another commit inside.

That should be cleaned up to not double flush
either flush manually + getConnection(false)

or getConnection(true) + comment

    OBDal.getInstance().flush();
    at org.openbravo.client.application.window.FormInitializationComponent.runCallouts(FormInitializationComponent.java:1458)

    at org.openbravo.client.application.window.FormInitializationComponent.runCallouts(FormInitializationComponent.java:1461)
      OBDal.getInstance().getConnection().commit();
Steps To ReproduceTrace flushes while:
- Pressing new in any window having a callout
- Example: "Goods shipment"
Proposed SolutionAt least: remove manual flush before commit
To check: if both can be completely removed, is still valid the case it was introduced for? Are ie. possible locks in ad_sequence created in a different trx?

See changeset introducing that part of code (not associated to any issue) [1]

[1] https://code.openbravo.com/erp/devel/pi/rev/224a5ad97e53 [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035855 closedalostale many standard requests borrow more than one connection from DB 
blocks design defect 0036606 newplatform Clean up extra not requires flush() calls 

-  Notes
(0098488)
hgbot (developer)
2017-08-11 12:18

Repository: erp/devel/pi
Changeset: 3815628bbb6f7fc363c9a7fd2d5897af10310b55
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Aug 11 12:17:29 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3815628bbb6f7fc363c9a7fd2d5897af10310b55 [^]

fixed bug 36609: unneeded flushes + commit on every FIC execution

  When executing FIC, before invoking callouts, a flush + commit (including an
  extra flush) was always performed to release any lock that could have been
  acquired before.

  That code was obsolete, as currently FIC does not perform any DB change before
  that point.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
---
(0098492)
caristu (developer)
2017-08-11 13:22

Code reviewed + testing OK.
(0099309)
hudsonbot (developer)
2017-09-21 16:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9750b78d3e5c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-08-04 13:37 shuehner New Issue
2017-08-04 13:37 shuehner Assigned To => platform
2017-08-04 13:37 shuehner Modules => Core
2017-08-04 13:37 shuehner Triggers an Emergency Pack => No
2017-08-04 13:37 shuehner Relationship added depends on 0036606
2017-08-04 13:38 shuehner Steps to Reproduce Updated View Revisions
2017-08-10 10:40 alostale Tag Attached: Performance
2017-08-10 10:44 alostale Priority normal => urgent
2017-08-10 10:44 alostale Proposed Solution updated
2017-08-10 10:45 alostale Status new => acknowledged
2017-08-10 10:48 alostale Relationship added related to 0035855
2017-08-11 12:11 alostale Proposed Solution updated
2017-08-11 12:12 alostale Assigned To platform => alostale
2017-08-11 12:18 hgbot Checkin
2017-08-11 12:18 hgbot Note Added: 0098488
2017-08-11 12:18 hgbot Status acknowledged => resolved
2017-08-11 12:18 hgbot Resolution open => fixed
2017-08-11 12:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3815628bbb6f7fc363c9a7fd2d5897af10310b55 [^]
2017-08-11 12:19 alostale Review Assigned To => caristu
2017-08-11 13:21 caristu Relationship deleted depends on 0036606
2017-08-11 13:21 caristu Relationship added blocks 0036606
2017-08-11 13:22 caristu Note Added: 0098492
2017-08-11 13:22 caristu Status resolved => closed
2017-08-11 13:22 caristu Fixed in Version => 3.0PR17Q4
2017-09-21 16:49 hudsonbot Checkin
2017-09-21 16:49 hudsonbot Note Added: 0099309


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker